# H460TM_MultipointTM Class Reference

`#include <h460tm.h>`

## Public Types

| e_sender
| e_receiver
enum | OptionalFields { e_sender, e_receiver }

## Public Member Functions

| H460TM_MultipointTM (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

PASN_BMPString | m_message
PASN_Integer | m_sender
PASN_Integer | m_receiver

## Member Enumeration Documentation

enum H460TM_MultipointTM::OptionalFields

Enumerator:

  e_sender |
  e_receiver |

## Constructor & Destructor Documentation

H460TM_MultipointTM::H460TM_MultipointTM | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460TM_MultipointTM::Clone | ( |  | ) | const

Comparison H460TM_MultipointTM::Compare | ( | const PObject & | obj | ) | const

PBoolean H460TM_MultipointTM::Decode | ( | PASN_Stream & | strm | ) |

void H460TM_MultipointTM::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H460TM_MultipointTM::GetDataLength | ( |  | ) | const

void H460TM_MultipointTM::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PASN_BMPString H460TM_MultipointTM::m_message

PASN_Integer H460TM_MultipointTM::m_receiver

PASN_Integer H460TM_MultipointTM::m_sender

The documentation for this class was generated from the following file:

- h460tm.h